KINIT(1)

NAME
krb524init - use Kerberos V5 tickets to obtain Kerberos V4 tickets

SYNOPSIS

krb524init [-p principal] [-n] [--version]

DESCRIPTION
krb524init uses the krb524d(8) daemon to obtain a Kerberos V4 ticket from an existing Kerberos V5 ticket.

krb524init uses the list of KDC entries in the krb5.conf(5) file to find the addresses of the KDCs, in the same manner as kinit(1).

krb524init uses the "krb524/udp" port if one is listed in /etc/services. If no "krb524/udp" port is listed, it uses port 4444 as the default.

krb524init uses the same exponential backoff as kinit.

OPTIONS

-p principal
    specifies the principal for the Kerberos V4 ticket. This can be any valid principal, including a TGT or service. Note that principal must be specified in Kerberos V5 format, as in:

    krb524init -p host/charon.mit.edu@ATHENA.MIT.EDU

    Specifying the principal in Kerberos V4 format:

    krb524init -p rcmd.charon@ATHENA.MIT.EDU

    would produce an error.

-n  Add the newly obtained Kerberos V4 tickets to the V4 ticket cache. By default, krb524init deletes any existing V4 tickets.

--version
    Prints out the KerbNet release version of the binary and then exits.

ENVIRONMENT
krb524d uses the following environment variable:

KRB5CCNAME
    Location of the Kerberos V5 credentials (ticket) cache.

KRBTKFILE
    Location of the Kerberos V4 credentials (ticket) cache.

FILES

/tmp/krb5cc_[uid]
    default Kerberos V5 credentials cache ([uid] is the decimal UID of the user).

/tmp/tkt_[uid]
    default Kerberos V4 credentials cache ([uid] is the decimal UID of the user).

/etc/krb5.conf
    file containing local host's Kerberos V5 configuration information

SEE ALSO
kinit(1), klist(1), kdestroy(1), kerberos(1), krb5.conf(5), krb524d(8)